## mbarcode 0.1.4-0

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Apr 1 01:32:20 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lgstinterfaces-0.10 -ldmtx -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lxml2 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lzbar -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		mainwindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp moc_barcodedetector.cpp \
		moc_mainwindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		mainwindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		moc_barcodedetector.o \
		moc_mainwindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile mbarcode-qt.pro

=== debian/changelog ===
mbarcode (0.1.4-0) unstable; urgency=low

  Added rotation testing and stacked windows.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 1 Apr 2010 01:59:00 +0000

## mbarcode 0.1.6-0

=== debian/changelog ===
mbarcode (0.1.6-0) unstable; urgency=low

  * Added UTF-8 support (hopefully).

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 1 Apr 2010 01:59:00 +0000

mbarcode (0.1.5-0) unstable; urgency=low

  Added web request plugin
  Added copy button to results window to allow copying barcode data.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 12 Apr 2010 14:21:00 +0100

## mbarcode 0.1.7-0

=== debian/changelog ===
mbarcode (0.1.7-0) unstable; urgency=low

  * Another attempt at UTF-8 support (again, hopefully).

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000

=== debian/control ===
Source: mbarcode
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0, mbarcode-plugin-ii, mbarcode-plugin-qrcode, mbarcode-plugin-webrequest
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
 mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
 1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work, 
 patches welcome). You can also scan QR codes and Datamatrix codes and display the 
 information contained therein. If the information is an URL, the browser will be opened 
 for you, and if it's a VCARD it will be inserted into your contacts database. 
 Other payloads will also be handled in the fullness of time!

## mbarcode 0.1.8-0

=== debian/changelog ===
mbarcode (0.1.8-0) unstable; urgency=low

  * Automatic refocusing.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000

## mbarcode 0.1.9-0

=== debian/changelog ===
mbarcode (0.1.9-0) unstable; urgency=low

  * Fixed bug with automatic refocusing.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:59:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mbarcode
 Section: user/utilities 
 Priority: extra
-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
+Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>, Svenn-Arne Dragly <s@dragly.com>
 Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,

## mbarcode 0.1.10-0

=== debian/changelog ===
mbarcode (0.1.10-0) unstable; urgency=low

  * First build against PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 25 May 2010 23:55:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
-                libqt4-maemo5-dev
+                libqt4-dev
 Standards-Version: 3.7.2
 
 Package: mbarcode
@@ -14,8 +14,7 @@
 Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0, mbarcode-plugin-ii, mbarcode-plugin-qrcode, mbarcode-plugin-webrequest
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
  mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
- 1D (e.g. EAN/UPC barcodes) and look them up using an Amazon webscraper (which needs work, 
- patches welcome). You can also scan QR codes and Datamatrix codes and display the 
+ 1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the 
  information contained therein. If the information is an URL, the browser will be opened 
  for you, and if it's a VCARD it will be inserted into your contacts database. 
  Other payloads will also be handled in the fullness of time!

## mbarcode 0.1.10-1

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 24 12:43:31 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lgstinterfaces-0.10 -ldmtx -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lxml2 -lgthread-2.0 -lrt -lglib-2.0 -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		mainwindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp moc_barcodedetector.cpp \
		moc_mainwindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		mainwindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		moc_barcodedetector.o \
		moc_mainwindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile mbarcode-qt.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mbarcode1.0.0 || $(MKDIR) .tmp/mbarcode1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents barcodedetector.h common.h mainwindow.h plugininterfaces.h resultswindow.h videowidget.h dmtxdecoderthread.h sinkplugin.h pluginintermediate.h zbardecoderthread.h settingswindow.h pluginsettings.h .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents barcodedetector.cpp main.cpp mainwindow.cpp resultswindow.cpp videowidget.cpp dmtxdecoderthread.cpp pluginintermediate.cpp zbardecoderthread.cpp settingswindow.cpp pluginsettings.cpp .tmp/mbarcode1.0.0/ && $(COPY_FILE) --parents mainwindow.ui resultswindow.ui settingswindow.ui pluginsettings.ui .tmp/mbarcode1.0.0/ && (cd `dirname .tmp/mbarcode1.0.0` && $(TAR) mbarcode1.0.0.tar mbarcode1.0.0 && $(COMPRESS) mbarcode1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode1.0.0`/mbarcode1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_barcodedetector.cpp moc_mainwindow.cpp moc_resultswindow.cpp moc_videowidget.cpp moc_pluginintermediate.cpp moc_settingswindow.cpp moc_pluginsettings.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_barcodedetector.cpp moc_mainwindow.cpp moc_resultswindow.cpp moc_videowidget.cpp moc_pluginintermediate.cpp moc_settingswindow.cpp moc_pluginsettings.cpp
moc_barcodedetector.cpp: common.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h \
		barcodedetector.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) barcodedetector.h -o moc_barcodedetector.cpp

moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_resultswindow.cpp: resultswindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) resultswindow.h -o moc_resultswindow.cpp

moc_videowidget.cpp: common.h \
		videowidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) videowidget.h -o moc_videowidget.cpp

moc_pluginintermediate.cpp: pluginintermediate.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginintermediate.h -o moc_pluginintermediate.cpp

moc_settingswindow.cpp: settingswindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) settingswindow.h -o moc_settingswindow.cpp

moc_pluginsettings.cpp: pluginsettings.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginsettings.h -o moc_pluginsettings.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic-qt4 mainwindow.ui -o ui_mainwindow.h

ui_resultswindow.h: resultswindow.ui
	/usr/bin/uic-qt4 resultswindow.ui -o ui_resultswindow.h

ui_settingswindow.h: settingswindow.ui
	/usr/bin/uic-qt4 settingswindow.ui -o ui_settingswindow.h

ui_pluginsettings.h: pluginsettings.ui
	/usr/bin/uic-qt4 pluginsettings.ui -o ui_pluginsettings.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

barcodedetector.o: barcodedetector.cpp common.h \
		barcodedetector.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o barcodedetector.o barcodedetector.cpp

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		ui_mainwindow.h \
		barcodedetector.h \
		common.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h \
		videowidget.h \
		resultswindow.h \
		plugininterfaces.h \
		sinkplugin.h \
		settingswindow.h \
		pluginsettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

resultswindow.o: resultswindow.cpp resultswindow.h \
		ui_resultswindow.h \
		sinkplugin.h \
		plugininterfaces.h \
		pluginintermediate.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o resultswindow.o resultswindow.cpp

videowidget.o: videowidget.cpp videowidget.h \
		common.h \
		barcodedetector.h \
		dmtxdecoderthread.h \
		zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o videowidget.o videowidget.cpp

dmtxdecoderthread.o: dmtxdecoderthread.cpp dmtxdecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dmtxdecoderthread.o dmtxdecoderthread.cpp

pluginintermediate.o: pluginintermediate.cpp pluginintermediate.h \
		sinkplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginintermediate.o pluginintermediate.cpp

zbardecoderthread.o: zbardecoderthread.cpp zbardecoderthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o zbardecoderthread.o zbardecoderthread.cpp

settingswindow.o: settingswindow.cpp settingswindow.h \
		ui_settingswindow.h \
		mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingswindow.o settingswindow.cpp

pluginsettings.o: pluginsettings.cpp pluginsettings.h \
		ui_pluginsettings.h \
		plugininterfaces.h \
		sinkplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginsettings.o pluginsettings.cpp

moc_barcodedetector.o: moc_barcodedetector.cpp

=== debian/changelog ===
mbarcode (0.1.10-1) unstable; urgency=low

  * Another build attempt build against PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 26 May 2010 22:55:00 +0000

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode
builddir:
		mkdir -p builddir

builddir/Makefile: builddir
		cd builddir && qmake PREFIX=/usr ../mbarcode-qt.pro
        # should be changed to qmake-qt4 when PR1.2 is out

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode 0.1.11-0

=== debian/changelog ===
mbarcode (0.1.11-0) unstable; urgency=low

  * Add saving of scan history between invocations
    - checkbox in menu to switch on/off
    - individual items can be saved/deleted with a long press
  * Fixed saved image so it is exactly that scanned by the decoder
  * Added ability to save last image from decoder buffer by tapping image
    - for use in reporting e.g. barcodes that don't scan

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 2 Jul 2010 13:53:00 +1000

=== debian/control ===
Source: mbarcode
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>, Svenn-Arne Dragly <s@dragly.com>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
 mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan 
 1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the 
 information contained therein. If the information is an URL, the browser will be opened 
 for you, and if it's a VCARD it will be inserted into your contacts database. 
 Other payloads will also be handled in the fullness of time!

## mbarcode 0.2.0-0

=== debian/changelog ===
mbarcode (0.2.0-0) unstable; urgency=low

  * Completely new UI design.
  * Full screen scanning.
  * Color scanning.
  * Using OpenGL to overlay buttons on top of camera stream.
  * There are some performance and power management issues, but these should be sorted out in a future release.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 Jul 2010 03:00:00 +0200

mbarcode (0.1.13-0) unstable; urgency=low

  * Added Recommends option for plugin packages to control file.
  * Refactored MainWindow into MaemoBarcodeWindow.
  * Refactored SinkPlugin into PluginAction

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 8 Jul 2010 16:00:00 +0200

mbarcode (0.1.12-1) unstable; urgency=low

  * Fix history list being read back in in the wrong order

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 6 Jul 2010 20:08:00 +0100

mbarcode (0.1.12-0) unstable; urgency=low

  * Enable DBus connection to:
   - make QR code plugin work using hildon-mime
   - broadcast DBus messages when we find a barcode
   - allow external apps to register (via DBus) as plugins

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 3 Jul 2010 15:49:00 +0100

## mbarcode 0.2.1-0

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 15:56:51 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lgstinterfaces-0.10 -ldmtx -L/usr/lib -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -ldbus-glib-1 -ldbus-1 -pthread -lgstapp-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lzbar -lQtMaemo5 -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtOpenGL -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		maemobarcodewindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp \
		recentdialog.cpp moc_barcodedetector.cpp \
		moc_maemobarcodewindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp \
		moc_recentdialog.cpp \
		qrc_resources.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		maemobarcodewindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		recentdialog.o \
		moc_barcodedetector.o \
		moc_maemobarcodewindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o \
		moc_recentdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h ui_recentdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \

=== debian/changelog ===
mbarcode (0.2.1-0) unstable; urgency=low

  * Changed settings icon.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 22 Jul 2010 16:00:00 +0200
